IOSTAT(8)

NAME
iostat - report I/O statistics

SYNOPSIS
iostat [-CdDITxy] [-c count] [-w wait] [drives]

DESCRIPTION
iostat displays kernel I/O statistics on terminal, disk and CPU operations. By default, iostat displays one line of statistics averaged over the machine's run time. The use of -c presents successive lines averaged over the wait period. The -I option causes iostat to print raw, unaveraged values.

Only the last disk option specified (-d, -D, or -x) is used.

The options are as follows:

-c count
    Repeat the display count times. Unless the -I flag is in effect, the first display is for the time since a reboot and each subsequent report is for the time period since the last display. If no wait interval is specified, the default is 1 second.

-C  Show CPU statistics. This is enabled by default unless the -d, -D, -T, or -x flags are used.

-d  Show disk statistics. This is the default. Displays kilobytes per transfer, number of transfers, and megabytes transferred. Use of this flag disables display of CPU and tty statistics.

-D  Show alternative disk statistics. Displays kilobytes transferred, number of transfers, and time spent in transfers. Use of this flag disables the default display.

-I  Show the running total values, rather than an average.

-T  Show tty statistics. This is enabled by default unless the -C, -d, or -D flags are used.

-w wait
    Pause wait seconds between each display. If no repeat count is specified, the default is infinity.

-x  Show extended disk statistics. Each disk is displayed on a line of its own with all available statistics. This option overrides all other display options, and all disks are displayed unless specific disks are provided as arguments. Additionally, separate read and write statistics are displayed.

-y  Shows the extended statistics and additional queuing statistics.

iostat displays its information in the following format:

tty
    tin characters read from terminals
    tout
        characters written to terminals

disks
    Disk operations. The header of the field is the disk name and unit number. If more drives are configured in the system that fit across the current display, iostat displays only those drives that fit on the display. To force iostat to display specific drives, they may be supplied on the command line, either as names or fnmatch() patterns.

    KB/t
        Kilobytes transferred per disk transfer
    t/s transfers per second
    MB/s
        Megabytes transferred per second
    The alternative display format, (selected with -D), presents the following values.
    KB  Kilobytes transferred
    xfr Disk transfers
    time
        Seconds spent in disk activity
    With the -y flag, the following queuing measurements are added
    wait
        Number of I/O requests queued up
    actv
        Number of currently active I/O requests
    wsvc_t
        Average waiting time of an I/O request in milliseconds
    asvc_t
        Average duration of an I/O request in milliseconds
    wtime
        Seconds spent in the waiting queue. Queuing data might not be available from all drivers and is then shown as zeros.

cpu
    us  % of CPU time in user mode
    ni  % of CPU time in user mode running niced processes
    sy  % of CPU time in system mode
    in  % of CPU time in interrupt mode
    id  % of CPU time in idle mode

SEE ALSO
fstat(1), netstat(1), nfsstat(1), ps(1), systat(1), vmstat(1), fnmatch(3), pstat(8)

The sections starting with ``Interpreting system activity'' in

HISTORY
iostat appeared in AT&T UNIX. The -x option was added in NetBSD 1.4. Collection of queueing values and the -y option were added in NetBSD 8.0.